Subject: Re: [dtc] Add support for flat device tree format version 17

From: Timur Tabi <[email-masked]>
Date: Wed, 14 Mar 2007 10:32:10 -0500

David Gibson wrote:

> -	{0x10, 0x10, BPH_V3_SIZE,
> +	{16, 16, BPH_V3_SIZE,
>  	 FTF_BOOTCPUID|FTF_STRTABSIZE},
> +	{17, 16, BPH_V17_SIZE,

So this is compatible with version 16?  Does that mean that a V17 DTB 
will work fine with U-Boot today?  Or will we need to update U-Boot?

The reason I ask is that I created a patch for U-Boot that tests the 
version of the DTB before attempting to process it.  By marking V17 to 
be compatible with V16, the patch will make U-Boot assume that it can 
parse the DTB.